Page MenuHomePhabricator

Setting PDF or DjVu thumbnail size by height produces "Invalid thumbnail parameters" error
Closed, ResolvedPublic

Description

Here in the left column use to be thumbnails of three DjVu files where size is set to "x100px". Since recently "Invalid thumbnail parameters " error is shown instead. Apparently error can be avoided by setting width too or by adding "page=" parameter in image syntax, but this probably shouldn't be necessary.

Event Timeline

Pikne created this task.May 15 2015, 9:45 AM
Pikne raised the priority of this task from to High.
Pikne updated the task description. (Show Details)
Pikne added a project: Multimedia.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 9:45 AM

Hmm, is this only about PDF and Djvu files, or does this also happen with image files (JPG, PNG)?

(and for my understanding:) https://en.wikipedia.org/wiki/Help:Visual_file_markup/size

Aklapper renamed this task from Setting PDF or DjVu thumbnail size by height produces an error to Setting PDF or DjVu thumbnail size by height produces "Invalid thumbnail parameters" error.May 21 2015, 11:47 AM
Aklapper edited projects, added MediaWiki-General; removed Multimedia.
Aklapper set Security to None.
Pikne added a subscriber: Pikne.May 21 2015, 1:21 PM

Hmm, is this only about PDF and Djvu files, or does this also happen with image files (JPG, PNG)?

My example has JPG with the same syntax in the middle column, no problem with that.

I can't reproduce this for DjVu on betawiki though. So maybe it's already fixed in the latest version of software? Or does it relate to site configuration?

Aklapper lowered the priority of this task from High to Normal.Jul 16 2015, 1:47 PM
Aklapper added a project: MediaWiki-Parser.

I can't reproduce this for DjVu on betawiki though ... does it relate to site configuration?

Still the same, following syntax gives an error on prod wiki and on beta wiki it gives a thumbnail.
[[File:Pildid isamaa sündinud asjust.djvu|x100px]]
What was changed on prod wiki?

Restricted Application added projects: Multimedia, Commons. · View Herald TranscriptMar 25 2016, 1:30 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 25 2016, 1:31 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Jul 20 2016, 9:17 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 20 2016, 9:17 PM
Pikne closed this task as Resolved.Aug 17 2017, 6:54 PM

Whatever caused this, given syntax seems to work again on prod wikis.